Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 311955 - net-misc/wicd: typos in eap profile prevent eap-fast from working
Summary: net-misc/wicd: typos in eap profile prevent eap-fast from working
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Thomas Kahle (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-29 17:10 UTC by Myk Taylor
Modified: 2010-12-24 12:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---
darkside: Bugday+


Attachments
fixes typos in eap profile (etc_wicd_encryption_templates_eap.patch,347 bytes, patch)
2010-03-29 17:13 UTC, Myk Taylor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myk Taylor 2010-03-29 17:10:07 UTC
The /etc/wicd/encryption/templates/eap template incorrectly uses '-' characters instead of '_' characters in some configuration parameter names.  It is a simple typo, but it prevents fast eap from working.  Patch attached.

Reproducible: Always

Steps to Reproduce:
1. Attempt to connect to a EAP-FAST wireless endpoint
2. Fails with "bad password", even when the password is correct
3.
Comment 1 Myk Taylor 2010-03-29 17:13:30 UTC
Created attachment 225697 [details, diff]
fixes typos in eap profile

tested successfully with net-misc/wicd-1.7.0 and net-wireless/wpa_supplicant-0.7.1
Comment 2 Myk Taylor 2010-03-29 17:14:50 UTC
I discovered the solution by reading https://bugs.launchpad.net/wicd/+bug/261804 which describes two problems: (1) the lack of quotation marks around the username and password and (2) the typos that this bug refers to.  The quotation marks seem to be fixed, but the typos remain.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-03-29 17:19:51 UTC
Thanks, upstream has checked it into the repo. I'll commit it to gentoo when time allows.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-01 02:12:29 UTC
Marking for Bugday, please make it a revision bump (-r1).
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-20 23:50:53 UTC
assigning to new maintainer.
Comment 6 Thomas Kahle (RETIRED) gentoo-dev 2010-12-24 12:34:53 UTC
The patch has been applied upstream and is delivered in >=wicd-1.7.1_beta2.
Thanks.